MCOOKIE(1)

NAZWA
mcookie - tworzy magiczne ciasteczko dla xauth

SKŁADNIA

mcookie [opcje]

OPIS

mcookie generuje losową, 128-bitową liczbę szesnastkową do użycia z systemem autoryzacji X. Typowe zastosowanie:

    xauth add :0 . mcookie

Liczba "losowa" jest tak naprawdę skrótem MD5 losowych informacji z jednego ze źródeł losowości wywołania systemowego getrandom(2): /dev/urandom, /dev/random lub jednej z funkcji pseudolosowych libc, w tej kolejności preferencji. Zob. też opcja --file.

OPCJE

-f, --file plik
    Plik ten może służyć jako dodatkowe źródło losowości (np. /dev/urandom). Gdy plikiem będzie "-", odczytane zostaną znaki ze standardowego wejścia.

-m, --max-size liczba
    Odczytuje z pliku jedynie liczbę bajtów. Opcja jest przeznaczona do użycia z dodatkowym źródłem losowości z pliku lub urządzenia.

    Po argumencie liczba może wystąpić przyrostek oznaczający wielokrotność: KiB (=1024), MiB (=1024*1024) itd. dla GiB, TiB, PiB, EiB, ZiB i YiB ("iB" jest opcjonalne, np. "K" ma takie samo znaczenie jak "KiB") lub przyrostek KB=1000, MB=1000*1000 itd. dla GB, TB, PB, EB, ZB i YB.

-v, --verbose
    Informuje o pochodzeniu losowości wraz z ilością entropii odczytaną z każdego źródła.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PLIKI

/dev/urandom

/dev/random

USTERKI

Zakłada się, że żadne ze źródeł losowości nie będzie blokowało.

ZOBACZ TAKŻE

md5sum(1), X(7), xauth(1), rand(3)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie mcookie jest częścią pakietu util-linux, który można pobrać ze strony